Key | Default | Type | Description
--- | --- | --- | ---

##### async

(none)

Boolean

Value can be 'true' or 'false' to suggest the planner choose the corresponding predict function. If the backend predict function provider does not support the suggested mode, it will throw exception to notify users.

##### max-concurrent-operations

(none)

Integer

The max number of async i/o operation that the async ml predict can trigger.

##### output-mode

(none)

Enum

Output mode for asynchronous operations which will convert to {@see AsyncDataStream.OutputMode}, ORDERED by default. If set to ALLOW_UNORDERED, will attempt to use {@see AsyncDataStream.OutputMode.UNORDERED} when it does not affect the correctness of the result, otherwise ORDERED will be still used.
Possible values:

- "ORDERED"
- "ALLOW_UNORDERED"

##### timeout

(none)

Duration

Timeout from first invoke to final completion of asynchronous operation, may include multiple retries, and will be reset in case of failover.